require "player"
require "menu"
require "enemy"
require "lighting"
require "score"

function love.load()
	player_load()
	enemy_load()
		
	medium = love.graphics.newFont(45)
	background = love.graphics.newImage("background.png")
	gamestate = "menu"
	
	--Buttons
	button_spawn(0,150,"Start","start",button_menu)
	button_spawn(0,300,"Options","options",button_menu)
	button_spawn(0,450,"Quit","quit",button_menu)
	button_spawn(0,100,"Easy","easy",button_options)
	button_spawn(0,200,"Hard","hard",button_options)
	button_spawn(0,300,"GodMode","godmode",button_options)
	button_spawn(0,400,"WhereIsYourGod","ultragodmode",button_options)
	button_spawn(0,550,"Back","back",button_options)
end

function love.update(dt)
	--get mouse coordinates
	mousex = love.mouse.getX()
	mousey = love.mouse.getY()
	
	--check and run correct gamestate
	if gamestate == "playing" then
		UPDATE_PLAYER(dt)
		UPDATE_ENEMY(dt)
		UPDATE_LIGHTING()
		UPDATE_SCORE(dt)
	end
	if gamestate == "menu" then
		button_check(button_menu)
		timer = 0
	end
	if gamestate == "options" then
		button_check(button_options)
	end
end

function love.draw()
	--check and run correct gamestate
	if gamestate == "playing" then
		DRAW_PLAYER()
		DRAW_LIGHTING()
		DRAW_SCORE()
	end
	if gamestate == "menu" then
		love.graphics.setColor(255,255,255)
		love.graphics.draw(background, 0,0)
		button_draw(button_menu)
		DRAW_SCORE()
	end
	if gamestate == "options" then
		button_draw(button_options)
	end
end

function love.mousepressed(x,y)
	if gamestate == "menu" then
		button_click_menu(x,y)
	elseif gamestate == "options" then
		button_click_options(x,y)
	end
end