

button_menu = {}
button_options = {}

--Spawn buttons
function button_spawn(x,y,text,id,list)
	table.insert(list, {x = x, y = y, text = text, id = id, mouseover = false})
end

--Draw buttons
function button_draw(list)
	for i,v in ipairs(list) do
		if v.mouseover == false then
			love.graphics.setColor(255,255,255)
		end
		if v.mouseover == true then
			love.graphics.setColor(150,150,150)
		end
		love.graphics.setFont(medium)
		love.graphics.print(v.text, v.x, v.y)
	end
end

--Main menu button click
function button_click_menu(x,y)
	for i,v in ipairs(button_menu) do
		if x > v.x and 
		x < v.x + medium:getWidth(v.text) and 
		y > v.y and 
		y < v.y + medium:getHeight(v.text) then
			if v.id == "quit" then
				love.event.push("quit")
			elseif v.id == "start" then
				gamestate = "playing"
			elseif v.id == "options" then
				gamestate = "options"
			end
		end
	end
end

--Options menu button click

function button_click_options(x,y)
	for i,v in ipairs(button_options) do
		if x > v.x and 
		x < v.x + medium:getWidth(v.text) and 
		y > v.y and 
		y < v.y + medium:getHeight(v.text) then
			if v.id == "easy" then
				dif = 2
			elseif v.id == "hard" then
				dif = 1
			elseif v.id == "godmode" then
				dif = 0.5
			elseif v.id == "ultragodmode" then
				dif = 0
			elseif v.id == "back" then
				gamestate = "menu"
			end
		end
	end
end

--Mouseover
function button_check(list)
	for i,v in ipairs(list) do
		if mousex > v.x and 
		mousex < v.x + medium:getWidth(v.text) and 
		mousey > v.y and 
		mousey < v.y + medium:getHeight(v.text) then
			v.mouseover = true
		else
			v.mouseover = false
		end
	end
end
