player = {}

--Load Player
function player_load()
	player.x = 190
	player.y = 570
	player.xvel = 0
	player.yvel = 0
	player.friction = 7
	player.speed = 2000
	player.width = 20
	player.height = 20
	player.light = love.graphics.newImage("whitelight.png")
end


--Implement Velocity and Friction
function player_physics(dt)
	player.x = player.x + player.xvel * dt
	player.y = player.y + player.yvel * dt
	player.xvel = player.xvel * (1 - math.min(dt*player.friction, 1))
	player.yvel = player.yvel * (1 - math.min(dt*player.friction, 1))

end

--Calculate Velocity/inputs
function player_move(dt)
	if love.keyboard.isDown("up") and 
	player.yvel > -player.speed then
		player.yvel = player.yvel - player.speed * dt
	end
	if love.keyboard.isDown("down") and 
	player.yvel < player.speed then
		player.yvel = player.yvel + player.speed * dt
	end
	if love.keyboard.isDown("left") and 
	player.xvel > -player.speed then
		player.xvel = player.xvel - player.speed * dt
	end
	if love.keyboard.isDown("right") and 
	player.xvel < player.speed then
		player.xvel = player.xvel + player.speed * dt
	end
end

--Border Collisions
function player_boundary()
	left = 0
	right = 380
	top = 0
	bottom = 580
	if player.x < left then
		player.x = 0
		player.xvel = 0
	end
	if player.x > right then
		player.x = right
		player.xvel = 0
	end
	if player.y < top then
		player.y = top
		player.yvel = 0
	end
	if player.y > bottom then
		player.y = bottom
		player.yvel = 0
	end
end

	--Enemy collisions
function enemy_collisions()
	for i,v in ipairs(enemy) do
		if player.x + player.width > v.x and
		player.x < v.x + enemy.width and
		player.y + player.height > v.y and
		player.y < v.y + enemy.height then
			gamestate = "menu"
			enemy_remove()
			love.load()
		end
	end
end
dif = 2
--Draw Player
function player_draw()
	love.graphics.setColor(255,255,255,200)
	love.graphics.draw(player.light, player.x+10 - (200*dif), player.y+10 - (300*dif),0, dif,dif)
	love.graphics.setColor(10,10,10)
	love.graphics.rectangle("line", player.x, player.y, player.width, player.height)
	love.graphics.setColor(200,0,100)
	love.graphics.rectangle("fill", player.x + 1, player.y + 1, player.width - 2, player.height - 2)
end

--PARENT FUNCTIONS

function UPDATE_PLAYER(dt)
	player_physics(dt)
	player_move(dt)
	player_boundary()
	enemy_collisions()
end

function DRAW_PLAYER()
	player_draw()
end